#requests {
    background-image: url("/equipment.webp");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;

    position: relative;
    isolation: isolate;
}

#requests::before {
    content: "";
    position: absolute;
    inset: 0;
    background-color: #000000cc;
    z-index: -2;
}
#requests::after {
    content: "";
    position: absolute;
    left: 0; bottom: 0;
    width: 100%; height: 5rem;
    background: linear-gradient(to bottom, transparent, #000);
    z-index: -2;
}

#requests aside {
    position: absolute;
    top: 50%; left: 0;
    transform: translateY(-40%);
    z-index: -1;
}
#requests aside img {
    margin-block: -15%;
    display: block;
}

#requests .requests-inner {
    margin-inline: auto;
    padding-block: 7.5rem;

    width: min(136rem, 95%);

    display: grid;
    grid-template-columns: 47.7rem 1fr;
    gap: 9.5rem;
}

#requests h2,
#requests h3 {
    font-family: "Druk";
    font-style: italic;
    font-weight: 900;
    font-size: 4rem;
    line-height: 1;
    text-transform: uppercase;
    color: var(--accent-yellow);

    text-shadow: #000 1px 2px 3px;
}
#requests h3 {
    padding-block: unset;

    font-size: 3rem;
    text-align: left;
    color: #fff;

    background-color: transparent;
}

#requests form {
    display: grid;
    gap: 3rem;

    position: relative;
    isolation: isolate;
}

#requests form label {
    display: block;
    font-size: 1.2rem;
    text-transform: uppercase;
    color: #fff;
    margin-bottom: 3px;
}
#requests form input,
#requests form select {
    width: 100%;
    padding: 2.5rem;
    
    font-size: 2rem;
    text-transform: capitalize;
    color: #fff;

    background-color: transparent;
    border: 1px solid #fff;
}
#requests form select option {
    padding: 2.5rem;
    
    font-size: 2rem;
    text-transform: capitalize;
    color: #fff;

    background-color: #000;
}

#requests form .contact-box {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2rem 3rem;
}

#requests form button[type="submit"] {
    max-width: 17rem;
    cursor: pointer;
}

/* Errors */

#requests form p.error {
    font-size: 2rem;
    color: #f5acac;
}


@media (max-width: 1250px) {
    #requests h2 {
        margin-inline: auto;
        max-width: 70rem;
        text-align: center;
    }
    #requests aside {
        opacity: 0.15;
    }
    #requests .requests-inner {
        grid-template-columns: 1fr;
        gap: 5.5rem;
    }
}
@media (max-width: 650px) {
    #requests h2 {
        font-size: 2.5rem;
    }
    #requests form .contact-box {
        grid-template-columns: 1fr;
    }
}